# PlayerPrefsStorage

```
class AnchorLinkTransportSharp::Src::StorageProviders::PlayerPrefsStorage
  : public ILinkStorage
```

## Summary

| Members                                                                                                                                                                           | Descriptions |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ |
| `public` [`PlayerPrefsStorage`](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1aad74a92e9fdc0c439ba20fac3e0ef4e8)`(string keyPrefix)` |              |
| `public Task` [`Write`](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1a6a9c4db24bc4ca8b492930e3af6a2c34)`(string key, string data)`  |              |
| `public Task< string >` [`Read`](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1a4289dc0a9df40425bce9129ffa8ea8da)`(string key)`      |              |
| `public Task` [`Remove`](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1aec4057c346c0b6ecff7bb12b6b08357c)`(string key)`              |              |
| `private readonly string` [`_keyPrefix`](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1a31ad2c41182eea0d903906583c3aa3e3)            |              |
| `private string` [`StorageKey`](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1ad3bc63c1ebf0fb06df5b8a10ddbaef30)`(string key)`       |              |

## Members

**`public`** [**`PlayerPrefsStorage`**](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1aad74a92e9fdc0c439ba20fac3e0ef4e8)**`(string keyPrefix)`**

**`public Task`** [**`Write`**](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1a6a9c4db24bc4ca8b492930e3af6a2c34)**`(string key, string data)`**

**`public Task< string >`** [**`Read`**](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1a4289dc0a9df40425bce9129ffa8ea8da)**`(string key)`**

**`public Task`** [**`Remove`**](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1aec4057c346c0b6ecff7bb12b6b08357c)**`(string key)`**

**`private readonly string`** [**`_keyPrefix`**](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1a31ad2c41182eea0d903906583c3aa3e3)

**`private string`** [**`StorageKey`**](#class_anchor_link_transport_sharp_1_1_src_1_1_storage_providers_1_1_player_prefs_storage_1ad3bc63c1ebf0fb06df5b8a10ddbaef30)**`(string key)`**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/anchorlink/api-docs/anchorlinktransportsharp/storageproviders/anchorlinktransportsharp-src-storageproviders-playerprefsstorage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
